# Get namespace


[API catalog](/reference/api/) · [Publisher analytics overview](/reference/api/dvp/latest/) · [Product manual](https://docs.docker.com/docker-hub/repos/manage/trusted-content/insights-analytics/) · [OpenAPI specification](/reference/api/dvp/latest.yaml)

API version: 1.0.0



`GET /namespaces/{namespace}`

Gets metadata associated with specified namespace, including extra repos associated with the namespace.

## Connection and access

[API connection and authentication guidance](/reference/api/dvp/latest/#authentication)


Server: `https://hub.docker.com/api/publisher/analytics/v1`

Effective security: alternatives are OR; schemes within an alternative are AND. An empty array declares no HTTP authentication requirement.

```json
[
  {
    "HubAuth": []
  }
]
```
## Example request

Replace placeholders and provide the required credentials or request body.

```console
curl \
  --request GET \
  --header "Authorization: Bearer ${TOKEN}" \
  --header 'Accept: application/json' \
  'https://hub.docker.com/api/publisher/analytics/v1/namespaces/<NAMESPACE>'
```

## Parameters

### namespace

Location: path. Required: yes.

Namespace to fetch data for

```json
{
  "description": "Namespace to fetch data for",
  "in": "path",
  "name": "namespace",
  "pointer": "/paths/~1namespaces~1{namespace}/get/parameters/0",
  "required": true,
  "schema": {
    "type": "string"
  }
}
```

## Request and responses

### Response 200 application/json

Success


Schema:

```json
{
  "$ref": "#/components/schemas/NamespaceMetadata"
}
```




Schema example:
```json
{
  "datasets": [
    {
      "name": "pulls",
      "timespans": [
        "months",
        "weeks"
      ],
      "views": [
        "raw",
        "summary",
        "repo-summary",
        "namespace-summary",
        "geo-repo-summary"
      ]
    }
  ],
  "extensionPublisher": false,
  "extraRepos": null,
  "namespace": "org1",
  "publisherType": "DVP"
}
```

Schema example:
```json
{
  "datasets": [
    {
      "name": "pulls",
      "timespans": [
        "months",
        "weeks"
      ],
      "views": [
        "repo-summary",
        "namespace-summary"
      ]
    },
    {
      "name": "extensions",
      "timespans": [
        "months",
        "weeks"
      ],
      "views": [
        "ext-summary"
      ]
    }
  ],
  "extensionPublisher": true,
  "extraRepos": null,
  "namespace": "org4",
  "publisherType": "DVP"
}
```


## Complete operation contract

```json
{
  "description": "Gets metadata associated with specified namespace, including extra repos associated with the namespace.",
  "operationId": "getNamespace",
  "parameters": [
    {
      "description": "Namespace to fetch data for",
      "in": "path",
      "name": "namespace",
      "required": true,
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/NamespaceMetadata"
          }
        }
      },
      "description": "Success"
    }
  },
  "summary": "Get namespace",
  "tags": [
    "discovery"
  ]
}
```

## Referenced schemas

- [#/components/schemas/NamespaceMetadata](/reference/api/dvp/latest/schemas/NamespaceMetadata/)




